For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get status for a customer consent on an order

Get status for a customer consent on an order

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
orderConsentTypestring · enumRequired

Reference to a orderConsent type

Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents?orderConsentType=SUBSCRIPTION HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "orderItemUid": "text",
      "sku": "text",
      "type": "SUBSCRIPTION",
      "status": "ACCEPT"
    }
  ]
}

Last updated

Was this helpful?